%define	oname	vavoom
%define	name	%{oname}-vmdl
%define	version	1.20
%define	release	%mkrel 2

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        VMDL files for %{oname}

Group:          Games/Arcade
License:	GPL
URL:		http://vavoom-engine.com/
Source0:	http://dl.sourceforge.net/vavoom/vmdl_doom_13.zip
Source1:	http://dl.sourceforge.net/vavoom/vmdl_heretic_13.zip
Source2:	http://dl.sourceforge.net/vavoom/vmdl_hexen_13.zip
Source3:	http://dl.sourceforge.net/vavoom/vmdl_strife_13.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Requires:	%{oname}

%description
3D model files to replace many of the game sprites.

%prep
%setup -q -c -b 1 -b 2 -b 3 -n %{name}-%{version}

%build
# Move the documentation files around to make it easier for packaging
for i in doom heretic hexen strife ; do
    mkdir $i
    mv basev/$i/models/*.txt $i
done

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_gamesdatadir}/%{oname}
cp -ar basev $RPM_BUILD_ROOT%{_gamesdatadir}/%{oname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_gamesdatadir}/%{oname}/basev/doom/models
%{_gamesdatadir}/%{oname}/basev/strife/models
%{_gamesdatadir}/%{oname}/basev/heretic/models
%{_gamesdatadir}/%{oname}/basev/hexen/models
%doc doom heretic hexen strife

%changelog
* Wed Aug 09 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.20-2mdv2007.0
- fix file permissions

* Thu Aug 03 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.20-1mdv2007.0
- initial release baed on fedora package

* Sat Jun 3 2006 Wart <wart at kobold dot org> 1.20-1
- Initial Fedora Extras package
